Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

String

## indexOf()

#### Description

Locates a character or String within another String. By default, searches from the beginning of the String, but can also start from a given index, allowing for the locating of all instances of the character or String.

#### Syntax

string.indexOf(val)
string.indexOf(val, from)

#### Parameters

string: a variable of type String
val: the value to search for - char or String
from: the index to start the search from

#### Returns

The index of val within the String, or -1 if not found.

#### Example

- StringIndexOf?

#### See also

- lastIndexOf()
- startsWith()
- endsWith()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share|
Edit Page | Page History | Printable View | All Recent Site Changes